/* Copyright (c) 2003, Nokia. All rights reserved */

#ifndef __SYMSERV_APPVIEW_H__
#define __SYMSERV_APPVIEW_H__


#include <coecntrl.h>

/*! 
  @class CSymServAppView
  
  @discussion An instance of CSymServAppView is the Application View object
  for the SymServ example application
  */
class CSymServAppView : public CCoeControl
    {
public:

/*!
  @function NewL
   
  @discussion Create a CSymServAppView object, which will draw itself to aRect
  @param aRect The rectangle this view will be drawn to
  @result A pointer to the created instance of CSymServAppView
  */
    static CSymServAppView* NewL(const TRect& aRect);

/*!
  @function NewLC
   
  @discussion Create a CSymServAppView object, which will draw itself to aRect
  @param aRect The rectangle this view will be drawn to
  @result A pointer to the created instance of CSymServAppView
  */
    static CSymServAppView* NewLC(const TRect& aRect);


/*!
  @function ~CSymServAppView
  
  @discussion Destroy the object
  */
     ~CSymServAppView();


public:  // from CCoeControl
/*!
  @function Draw
  
  @discussion Draw this CSymServAppView to the screen
  @param aRect The rectangle of this view that needs updating
  */
    void Draw(const TRect& aRect) const;
  

private:

/*!
  @function ConstructL
  
  @discussion  Perform the second phase construction of a CSymServAppView object
  @param aRect The rectangle this view will be drawn to
  */
    void ConstructL(const TRect& aRect);

/*!
  @function CSymServAppView
  
  @discussion Perform the first phase of two phase construction 
  */
    CSymServAppView();
    };


#endif // __SYMSERV_APPVIEW_H__
