// EmulObject.cpp: implementation of the CDynItem class.
//
//////////////////////////////////////////////////////////////////////
#include <s32file.h>
#include <e32std.h>
#include <e32math.h>

#include "dynitem.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////



CDynItem* CDynItem::NewL()
    {
    CDynItem* self = CDynItem::NewLC();
    CleanupStack::Pop(self);
    return self;
    }

CDynItem* CDynItem::NewLC()
    {
    CDynItem* self = new (ELeave) CDynItem;
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
    }

void CDynItem::ConstructL()
	{
		iCreateTime.HomeTime();
		TInt64 t = iCreateTime.Int64();

		iSessionId = Math::Rand(t);
	}


CDynItem::CDynItem()
{

}

CDynItem::~CDynItem()
{


}

void CDynItem::SetTimeOut(TInt aVal)
{
	iTimeOut = aVal;
}


//void CDynItem::SetId(TInt aVal)
//{
//	iSessionId = aVal;	
//}


TInt CDynItem::GetId()
{
	return iSessionId;
}

TBool CDynItem::IsTimeOut()
{
	TTime aCurTime;
	aCurTime.HomeTime();

	return (aCurTime - iTimeOut) > iCreateTime;
}

/*

				TTimeIntervalDays aDay = FREEWARE_TIME_IN_DAY;
				TTime aCurTime;
				aCurTime.HomeTime();
				aCurTime -= aDay;

				if( !GetDocument()->GetRegistrationFlg() )
				{
					if( aCurTime > *GetDocument()->GetTime() )

*/

