/* Copyright (c) 2003, Nokia. All rights reserved */

#include <coemain.h>

#include "SymServAppView.h"

CSymServAppView* CSymServAppView::NewL(const TRect& aRect)
    {
    CSymServAppView* self = CSymServAppView::NewLC(aRect);
    CleanupStack::Pop(self);
    return self;
    }

CSymServAppView* CSymServAppView::NewLC(const TRect& aRect)
    {
    CSymServAppView* self = new (ELeave) CSymServAppView;
    CleanupStack::PushL(self);
    self->ConstructL(aRect);
    return self;
    }

CSymServAppView::CSymServAppView()
    {
	// No implementation required
    }

CSymServAppView::~CSymServAppView()
    {
	// No implementation required
    }

void CSymServAppView::ConstructL(const TRect& aRect)
    {
    // Create a window for this application view
    CreateWindowL();

    // Set the windows size
    SetRect(aRect);

    // Activate the window, which makes it ready to be drawn
    ActivateL();
    }

// Draw this application's view to the screen
void CSymServAppView::Draw(const TRect& /*aRect*/) const
    {
    // Get the standard graphics context 
    CWindowGc& gc = SystemGc();
    
    // Gets the control's extent
    TRect rect = Rect();
    
    // Clears the screen
    gc.Clear(rect);
    }


