/* Copyright (c) 2003, Nokia. All rights reserved */

#include "SymServAppUi.h"
#include "SymServDocument.h"

CSymServDocument* CSymServDocument::NewL(CEikApplication& aApp)
    {
    CSymServDocument* self = NewLC(aApp);
    CleanupStack::Pop(self);
    return self;
    }

CSymServDocument* CSymServDocument::NewLC(CEikApplication& aApp)
    {
    CSymServDocument* self = new (ELeave) CSymServDocument(aApp);
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
    }

void CSymServDocument::ConstructL()
    {
	// No implementation required
    }    

CSymServDocument::CSymServDocument(CEikApplication& aApp) : CAknDocument(aApp) 
    {
	// No implementation required
    }

CSymServDocument::~CSymServDocument()
    {
	// No implementation required
    }

CEikAppUi* CSymServDocument::CreateAppUiL()
    {
    // Create the application user interface, and return a pointer to it;
    // the framework takes ownership of this object
	return (static_cast <CEikAppUi*> (new (ELeave) CSymServAppUi)); 
    }

